# Systemvoraussetzungen

## Hardware

* Prozessor mit min. 4 Cores (Kerne oder sockets oder virtuelle Prozessoren), nicht älter als 3 Jahre
* Arbeitsspeicher (RAM): 32 GB (8 GB für Cognos, 8 GB für SQL-Server, Rest als Puffer)
* Festplatte: 200GB als SSD oder vergleichbar

## VM-Host

* VM-System: wahlweise Hyper-V, VMware, Proxmox oder qemu
* Image wird als Hyper-V ausgeliefert, kann aber in VMware oder qemu konvertiert werden

## Software

* Windows: wahlweise 
    * Windows 10 Pro
    * Windows Server 2019/2022
    * notfalls Windows Server 2016 
    * Upgrade von Windows Server 2022 auf Windows Server 2025
    * Upgrade von Windows 10 Pro auf Windows 11 Pro
    * Umstellung von Windows 10 auf Windows Server **nicht** möglich!
* Microsoft SQL-Server: wahlweise lizenziert oder SQL-Server Express (kostenlos bis 10 GB)

## Windows-Lizenz

Die Kunden müssen sich selbst um die Lizenzierung kümmern, da es bei Microsoft immer davon abhängig ist, ob es einen Rahmenvertrag gibt, wie viele Benutzer darauf zugreifen, welche Hardware vorhanden ist und welche Software bereits im Einsatz ist.


## Bekannte Probleme

### Alte Hardware

Unsere Anforderungen mit 32 GB RAM und 200 GB Festplatte sind theoretisch mit Hardware aus dem Jahre 2015 möglich. Hier sollten wir dem Kunden bewusst machen, dass unsere Aktualisierung mehrere Stunden dauern wird und die Auswertungen teilweise mehrere Minuten brauchen, um zu öffnen.
Daher unsere Empfehlung "nicht älter als drei Jahre" - je neuer, desto besser.

### SQL-Server Express

Der SQL-Server ist in seiner kostenlosen Variante pro Datenbank auf 10 GB beschränkt. Durch Aufteilung auf mehrere Datenbanken können wir so auf 30 oder 40 GB erweitern.
Die 10 GB reichen für LOCOSOFT, AUDEV und WERWISO ohne Probleme, bei OPTIMA nur mit einem Mandanten, 2-3 Standorten und 2-3 Jahre Historie.
Ansonsten können wir nur empfehlen, einen SQL Server Standard zu lizensieren. Der Express-Server lässt sich auch nachträglich upgraden.

Für ARI gibt es eine Kooperation, dass wir die DMS-Datenbank mitbenutzen können bzw. einen SQL Server Standard zur Verfügung gestellt bekommen.


### Prozessor AMD Epyc

Cognos Analytics Server läuft auf AMD Epyc Prozessoren in der Standardkonfiguration nicht stabil. Der Dienst startet sehr langsam und ist dann nur eingeschränkt erreichbar.
Auch Transformer und Framework Manager öffnen sich nur nach mehreren Minuten, wenn nicht sogar Stunden.

Das Problem lässt sich aber mit einer Anpassung in diversen Konfigurationsdateien beheben. [AMD Epyc](../../7_Probleme/amd_epyc.md)

